"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@oclif/test");
const fs = require("fs");
require("chai");
const config_1 = require("../common/config");
const test_utils_1 = require("../__tests__/test-utils");
const COMMAND = 'auth';
describe(COMMAND, () => {
    beforeEach(() => {
        fs.unlink(config_1.CONFIG_FILENAME, (err) => null);
    });
    afterEach(() => {
        fs.unlink(config_1.CONFIG_FILENAME, (err) => null);
    });
    test_1.test
        .stdout()
        .command([COMMAND, '--security', 'BearerAuth', '--token', 'asd123', (0, test_utils_1.resourcePath)('openapi.yml')])
        .it(`writes security config to the ${config_1.CONFIG_FILENAME} file`, (ctx) => {
        const config = fs.readFileSync(config_1.CONFIG_FILENAME, 'utf8');
        (0, test_1.expect)(config).to.match(/security/);
        (0, test_1.expect)(config).to.match(/BearerAuth/);
        (0, test_1.expect)(config).to.match(/asd123/);
    });
});
