"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@oclif/test");
const test_utils_1 = require("../__tests__/test-utils");
require("chai");
const COMMAND = 'info';
describe(COMMAND, () => {
    test_1.test
        .stdout()
        .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.yml')])
        .it('prints information about a definition file', (ctx) => {
        (0, test_1.expect)(ctx.stdout).to.contain('title');
        (0, test_1.expect)(ctx.stdout).to.contain('version');
        (0, test_1.expect)(ctx.stdout).to.contain('securitySchemes');
        (0, test_1.expect)(ctx.stdout).to.contain('servers');
    });
    test_1.test
        .stdout()
        .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.yml'), '--operations'])
        .it('lists api operations', (ctx) => {
        (0, test_1.expect)(ctx.stdout).to.contain('operations');
    });
    test_1.test
        .stdout()
        .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.yml'), '--schemas'])
        .it('lists api schemas', (ctx) => {
        (0, test_1.expect)(ctx.stdout).to.contain('schemas');
    });
    test_1.test
        .stdout()
        .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.yml'), '--security'])
        .it('lists security schemes', (ctx) => {
        (0, test_1.expect)(ctx.stdout).to.contain('securitySchemes');
    });
});
