"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@oclif/test");
const waitOn = require("wait-on");
const test_utils_1 = require("../__tests__/test-utils");
require("chai");
const COMMAND = 'swagger-editor';
const TEST_PORT = 5552;
describe(COMMAND, () => {
    test_1.test
        .stdout()
        .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.yml'), '-p', `${TEST_PORT}`])
        .it('runs swagger-editor', async (ctx) => {
        await waitOn({ resources: [`tcp:localhost:${TEST_PORT}`] });
        (0, test_1.expect)(ctx.stdout).to.contain('running');
    });
    afterEach(() => {
        // emit disconnect to stop the server
        process.emit('disconnect');
    });
});
