"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@oclif/test");
const test_utils_1 = require("../__tests__/test-utils");
require("chai");
// tslint:disable: no-unused-expression
const COMMAND = 'typegen';
describe('typegen', () => {
    describe('output', () => {
        test_1.test
            .stdout()
            .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.yml')])
            .it('generates import statements', (ctx) => {
            (0, test_1.expect)(ctx.stdout).to.match(/import type/);
        });
        test_1.test
            .stdout()
            .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.json')])
            .it('generates schemas', (ctx) => {
            (0, test_1.expect)(ctx.stdout).to.match(/Schemas/);
            (0, test_1.expect)(ctx.stdout).to.match(/Pet/);
        });
        test_1.test
            .stdout()
            .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.json')])
            .it('generates operation paths', (ctx) => {
            (0, test_1.expect)(ctx.stdout).to.match(/Paths/);
            (0, test_1.expect)(ctx.stdout).to.match(/Responses/);
            (0, test_1.expect)(ctx.stdout).to.match(/PetRes/);
            (0, test_1.expect)(ctx.stdout).to.match(/Parameters/);
            (0, test_1.expect)(ctx.stdout).to.match(/ListPetsRes/);
        });
        test_1.test
            .stdout()
            .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.json')])
            .it('generates operation methods', (ctx) => {
            (0, test_1.expect)(ctx.stdout).to.match(/getPets/);
            (0, test_1.expect)(ctx.stdout).to.match(/createPet/);
            (0, test_1.expect)(ctx.stdout).to.match(/getPetById/);
        });
        test_1.test
            .stdout()
            .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.json')])
            .it('exports client', (ctx) => {
            (0, test_1.expect)(ctx.stdout).to.match(/export type Client/);
        });
    });
});
