"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Unload = void 0;
const core_1 = require("@oclif/core");
const commonFlags = require("../common/flags");
const fs = require("fs");
const YAML = require("js-yaml");
const config_1 = require("../common/config");
class Unload extends core_1.Command {
    async run() {
        const configFile = (0, config_1.resolveConfigFile)();
        if (configFile) {
            const oldConfig = YAML.load(fs.readFileSync(configFile));
            const { definition, ...newConfig } = oldConfig;
            fs.writeFileSync(configFile, YAML.dump(newConfig));
            this.log(`Written to ${configFile}`);
        }
        this.log('Unloaded succesfully!');
    }
}
exports.Unload = Unload;
Unload.description = 'Unset the default definition file for a workspace (writes to .openapiconfig)';
Unload.examples = [`$ openapi unload`];
Unload.flags = {
    ...commonFlags.help(),
};
