"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@oclif/test");
const fs = require("fs");
const YAML = require("js-yaml");
const test_utils_1 = require("../__tests__/test-utils");
require("chai");
const config_1 = require("../common/config");
const COMMAND = 'unload';
// tslint:disable: no-unused-expression
describe(COMMAND, () => {
    beforeEach(() => {
        fs.writeFileSync(config_1.CONFIG_FILENAME, YAML.dump({ definition: 'openapi.json' }));
    });
    afterEach(() => {
        fs.unlink(config_1.CONFIG_FILENAME, (err) => null);
    });
    test_1.test
        .stdout()
        .command([COMMAND])
        .it('unloads definition from config file', (ctx) => {
        (0, test_1.expect)(ctx.stdout).to.contain('Unloaded succesfully!');
    });
    test_1.test
        .stdout()
        .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.yml')])
        .it(`removes the definition property from the config file`, (ctx) => {
        const config = YAML.load(fs.readFileSync(config_1.CONFIG_FILENAME));
        (0, test_1.expect)(config.definition).to.not.exist;
    });
});
