"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startServer = exports.createServer = void 0;
const Koa = require("koa");
const logger = require("koa-logger");
const cli_ux_1 = require("cli-ux");
const getPort = require("get-port");
function createServer(opts = {}) {
    const app = new Koa();
    // set up logging
    if (opts.logger || opts.logger === undefined) {
        app.use(logger());
    }
    return app;
}
exports.createServer = createServer;
async function startServer(opts) {
    let server;
    const port = await getPort({ port: getPort.makeRange(opts.port, opts.port + 1000) });
    if (opts.port !== port) {
        if (!process.stdin.isTTY ||
            !(await cli_ux_1.default.confirm(`Something else is running on port ${opts.port}. Use another port instead? (y/n)`))) {
            process.exit(1);
        }
    }
    const { app } = opts;
    server = app.listen(port);
    process.on('disconnect', () => server.close());
    return { server, port };
}
exports.startServer = startServer;
